local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.GoldWithReputationFarms(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Gold With Reputation Farms")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  -- Intro
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("When it comes to Reputation based farming it is generally based on farming a specific material or item. This is then followed up by handing this into a repeatable quest giver in exchange for the specific reputation. We come into this for gold making where we doing up front leg work for the specific items and then selling those for a premium on the auction house in which it provides an option to other players to purchase these to save time and to get the reputation faster than they would on there own, this is how we will make our gold with Reputation based farms.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
   
   
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
  
  --- Quest Turn Ins
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Quest Turn In's:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("First of all we shall start with the Quest Turn in Reputation farms as this is what we have covered in the introduction towards these Reputation farms. As we look into this there are a few farms in which we should be looking for and as such we will go over these.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Most notably is the “Dampscale Basilisk Eyes”, these are farmed within Terokkar Forest and as such we will be farming these from the Dampscale Basilisk's. These are dotted around the rivers of Terrokar and following these in a loop will help you not double back on yourself as much, while also giving you enough time for the Basilisks to respawn.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("Upon completing this you are able to put these on the auction house for that premium we mentioned before. This is where players can purchase this and turn these eyes in to the quest giver in the Lower City and as such will reward the player giving these eyes in for reputation with the Aldor.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto this is a farm in which we can do but requires some form of set up for the best advantage for farming. This gold farm is for the item of “Royal Jelly”, we will making our way over towards Stormsong Valley and completing the introduction quest with the Honeyback Hive. This will then open us up towards farming for this item ( note: you will have to be Alliance to do this. ), after this we will want to get ourselves to Revered with the Honeyback Hive by turning in Royal Jelly to the repeatable quest giver. This is also the method players who purchase Royal Jelly so they can become exalted to gain the Bee Mount, this is where the Jelly gets it's value mostly.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("After becoming Revered you will be able to purchase “Beeholder's Goggles”, these will give you the ability to see Honey in the zone much like you would see it if you where farming ore and herbs. This will greatly increase the amount of items collected per hour making it a fully fledged Gold farm and as such you will be able to sell on this Jelly for a premium on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
  
 -- Vendor Currencies

    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vendor Currencies:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("With Currencies in game, they tend to take a while to obtain sometimes over days and weeks. This is where an opportunity of gold making arises, through the use of being able to purchase items from those vendors with the currencies.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Most notably is the the Argent Tournament, you are able to purchase Battle Pets from these vendors with the Agent Badges collected through the Daily quests. One of the battle pets that sells really well is the “Enchanted Broom”, this is because it is used for a lot of pet battles and as such being locked behind this currency cost quite a lot of gold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   

  local desc = AceGUI:Create("Label")
  desc:SetText("We can make gold through this by doing the daily quests ourselves and saving them up, doing the leg work for other players and once we have enough of the badges we can then trade those into the vendor for the Battle Pets for a premium price.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)     
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  

end